package cordon.bleu.user;

import lombok.Getter;
import lombok.Setter;

import javax.persistence.*;
import javax.validation.constraints.NotNull;

@Entity
@Getter
@Setter
@Table(name="user_role")
public class UserRole {


    public enum Role {
        ADMIN, USER;

      /*  private final String displayName;

        Role(String displayName) {
            this.displayName = displayName;
        }

        public String getDisplayName() {
            return displayName;
        }

       */
    }



    @Id
    private int id;

    @NotNull(message = "value mismatch")
    private Role role = Role.USER;

    @OneToOne(cascade = CascadeType.ALL)
    @MapsId
    @JoinColumn(name = "id")
    User user;

}
