package cordon.bleu.tour;

import java.util.List;


public interface TourService {

    public List<Tour> getAll();

    public List<Tour> getNameContains(String needle);

    public Tour getById(int id);

    public TourInfo getTourInfoById(int id);

    public void saveOrUpdate(Tour tour);

    public void saveOrUpdate(TourInfo tourInfo);


    public void delete(Tour tour);
}
