package cordon.bleu.user;

import cordon.bleu.tour.Tour;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.data.repository.query.Param;
import org.springframework.stereotype.Repository;

import java.util.List;

@Repository
public interface UserRepository extends JpaRepository<User, Integer> {
    User getUserById(Integer integer);

    @Override
    @Query("from User u join fetch u.userRole")
    List<User> findAll();
}